> ## Documentation Index
> Fetch the complete documentation index at: https://docs.laikipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Card Transactions History

> Retrieve real-time transaction ledger and authorization history for a virtual card

Retrieve the chronological ledger of purchases, debits, authorizations, and declines processed on this virtual card.

### Headers

| Header | Type | Description |
| :- | :- | :- |
| `Authorization` | `string` | `Bearer <accessToken>` |

***

### Path Parameters

| Parameter | Type | Required | Description |
| :- | :- | :- | :- |
| `id` | `string` | **Yes** | Virtual card ID (`crd_...`) or unique reference. |

***

### Query Parameters

| Parameter | Type | Required | Description |
| :- | :- | :- | :- |
| `limit` | `number` | No | Number of records to return (default `50`). |

***

### Request Example

```bash cURL theme={null}
curl -X GET "https://api.laikipay.com/v1/merchant/cards/crd_8f921ab0c1/transactions?limit=25" \
  -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."
```

***

### Response (`200 OK`)

```json theme={null}
{
  "status": "success",
  "data": [
    {
      "id": "tx_981240192a",
      "reference": "TXN_CARD_DEBIT_001",
      "amount": 14.99,
      "currency": "USD",
      "type": "DEBIT",
      "status": "SUCCESS",
      "description": "AWS Web Services Egress Charge",
      "createdAt": "2026-10-12T07:30:00.000Z"
    }
  ],
  "timestamp": "2026-10-12T07:33:00.000Z",
  "path": "/api/v1/merchant/cards/crd_8f921ab0c1/transactions"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.